> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Social Login

> Completes the login process and provides the authenticated user with their authentication token.

#### Authentication

No authentication required.

#### Required Permissions

No authentication required.


## OpenAPI

````yaml /openapi.yaml post /auth/login/social
openapi: 3.1.0
info:
  version: 1.795.3
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /auth/login/social:
    post:
      tags:
        - Auth
      summary: Social Login
      description: >-
        Completes the login process and provides the authenticated user with
        their authentication token.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                orgId:
                  type: string
                socialLoginProviderKind:
                  type: string
                  enum:
                    - Oidc
                idToken:
                  type: string
              required:
                - socialLoginProviderKind
                - idToken
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                required:
                  - token
      security:
        - {}

````